DCMTK: I2DOutputPlugVLP Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
I2DOutputPlugVLP Class Reference

img2dcm output plugin for VL Photographic Image Storage SOP Class More...

Inheritance diagram for I2DOutputPlugVLP:

## Public Member Functions
| I2DOutputPlugVLP ()
| Constructor, initializes member variables with standard values.
virtual | ~I2DOutputPlugVLP ()
| Virtual Destructor, clean up memory.
virtual OFString | ident ()
| Virtual function that returns a short name of the plugin.
virtual void | supportedSOPClassUIDs (OFList< OFString > &suppSOPs)
| Overwrites function from base class.
virtual OFCondition | convert (DcmDataset &dataset) const
| Outputs SOP class specific information into dataset.
virtual OFString | isValid (DcmDataset &dataset) const
| Do some completeness / validity checks.
virtual OFBool | supportsMultiframe () const
| check if the output format supported by this plugin can write multi-frame images.
virtual OFCondition | insertMultiFrameAttributes (DcmDataset *targetDataset, size_t numberOfFrames) const
| Add multiframe specific attributes.
Public Member Functions inherited from I2DOutputPlug
| I2DOutputPlug ()
| Constructor, initializes member variables.
virtual | ~I2DOutputPlug ()
| Destructor.
virtual void | setValidityChecking (OFBool doChecks, OFBool insertMissingType2=OFTrue, OFBool inventMissingType1=OFTrue)
| Enable/Disable basic validity checks for output dataset.

## Additional Inherited Members
Protected Member Functions inherited from I2DOutputPlug
virtual OFString | checkType1Attrib (const DcmTagKey &key, DcmDataset *targetDset) const
| Checks whether a given tag exists in a dataset and is non-empty, otherwise returns an error string.
virtual OFString | checkAndInventType1Attrib (const DcmTagKey &key, DcmDataset *targetDset, const OFString &defaultValue="") const
| Checks whether a given tag exists in a dataset and provides a non-empty value.
virtual OFString | checkAndInventType1CodeSQ (const DcmTagKey &key, DcmDataset *targetDset, const OFString &codeValue, const OFString &codeMeaning, const OFString &codingSchemeDesignator) const
| Checks whether a given code sequence exists in a dataset and contains an item with the required attributes.
virtual OFString | checkAndInventType2Attrib (const DcmTagKey &key, DcmDataset *targetDset, const OFString &defaultValue="") const
| Checks whether a given tag exists in a dataset (can be empty) If not, the tag is inserted (if enabled) with empty value.
Protected Attributes inherited from I2DOutputPlug
OFBool | m_doAttribChecking
| if enabled, some simple attribute checking is performed default: enabled (OFTrue)
OFBool | m_inventMissingType2Attribs
| if enabled, missing type 2 attributes in the dataset are added automatically.
OFBool | m_inventMissingType1Attribs
| if enbled, missing type 1 attributes are inserted and filled with a predefined value.

## Detailed Description

img2dcm output plugin for VL Photographic Image Storage SOP Class

## Member Function Documentation

## ◆ convert()

virtual OFCondition I2DOutputPlugVLP::convert | ( | DcmDataset & | dataset | ) | const
| virtual

Outputs SOP class specific information into dataset.

Parameters

  dataset | - [in/out] Dataset to write to

Returns
  EC_Normal if successful, error otherwise

Implements I2DOutputPlug.

## ◆ ident()

virtual OFString I2DOutputPlugVLP::ident | ( |  | ) |
| virtual

Virtual function that returns a short name of the plugin.

Returns
  The name of the plugin

Implements I2DOutputPlug.

## ◆ insertMultiFrameAttributes()

virtual OFCondition I2DOutputPlugVLP::insertMultiFrameAttributes | ( | DcmDataset * | targetDataset,
|  | size_t | numberOfFrames ) const
| virtual

Add multiframe specific attributes.

Parameters

  targetDataset | pointer to DICOM dataset, must not be NULL
  numberOfFrames | number of frames in this dataset

Returns
  EC_Normal if successful, an error code otherwise

Implements I2DOutputPlug.

## ◆ isValid()

virtual OFString I2DOutputPlugVLP::isValid | ( | DcmDataset & | dataset | ) | const
| virtual

Do some completeness / validity checks.

Should be called when dataset is completed and is about to be saved.

Parameters

  dataset | - [in] The dataset to check

Returns
  Error string if error occurs, empty string else

Implements I2DOutputPlug.

## ◆ supportedSOPClassUIDs()

virtual void I2DOutputPlugVLP::supportedSOPClassUIDs | ( | OFList< OFString > & | suppSOPs | ) |
| virtual

Overwrites function from base class.

Returns the Storage SOP class written by this plugin

Parameters

  suppSOPs | - [out] List of UIDs representing SOP classes supported by this plugin

Implements I2DOutputPlug.

## ◆ supportsMultiframe()

virtual OFBool I2DOutputPlugVLP::supportsMultiframe | ( |  | ) | const
| virtual

check if the output format supported by this plugin can write multi-frame images.

Returns
  true if multiframe is supported, false otherwise

Implements I2DOutputPlug.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/libi2d/i2dplvlp.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2